Page MenuHomePhabricator

Loading ext.wikieditor.toolbar should not initialize it
Closed, InvalidPublic

Description

Branching off from T36594: Loading ext.wikieditor.toolbar module should not load it if user has preference "Enable enhanced editing toolbar" off

Rephrasing bug summary: "Loading ext.wikieditor.toolbar should not initialize it".
The call to $( '#wpTextbox1' ).wikiEditor(); should only be made when and if it is explicitly asked for.
Further investigating I see that ext.wikiEditor.toolbar.js does indeed not call $( '#wpTextbox1' ).wikiEditor();, that code is in ext.wikiEditor.js, so how come that is executed?

Details

Reference
bz34602

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:18 AM
bzimport added a project: WikiEditor.
bzimport set Reference to bz34602.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Feb 22 2012, 10:56 PM
happy5214 updated the task description. (Show Details)Nov 30 2014, 12:39 PM
happy5214 set Security to None.

Is this still a problem.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 10 2015, 9:14 AM
He7d3r updated the task description. (Show Details)Dec 10 2015, 5:44 PM
GOIII added a subscriber: GOIII.Dec 11 2015, 7:48 AM
GOIII added a comment.Dec 11 2015, 8:17 AM

Is the thing with what is selected in a User's preferences for Editing - specifically which toolbar to use by default?

Apparently, this....

  • Show edit toolbar
  • Enable enhanced editing toolbar
  • Enable wizards for inserting links, tables as well as the search and replace function

...is not "exactly the same" as this...

  • Show edit toolbar
  • Enable enhanced editing toolbar
  • Enable wizards for inserting links, tables as well as the search and replace function

... though both make WikiEditor the default.

Otherwise, I have no idea what the issue is.

TheDJ closed this task as Invalid.Nov 16 2018, 9:25 PM
TheDJ added a subscriber: TheDJ.

Since all the modules are unified now (T165112), this no longer seems like a relevant problem to me.

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 12:01 PM